{#
/**
 * @file
 * Default theme implementation for a view template to display a list of rows.
 *
 * Available variables:
 * - attributes: HTML attributes for the container.
 * - rows: A list of rows for this list.
 *   - attributes: The row's HTML attributes.
 *   - content: The row's contents.
 * - title: The title of this group of rows. May be empty.
 * - list: @todo.
 *   - type: Starting tag will be either a ul or ol.
 *   - attributes: HTML attributes for the list element.
 *
 * @see template_preprocess_views_view_list()
 *
 * @ingroup themeable
 */
#}
{{ attach_library('corporateplus/slider-revolution-boxed-width-init') }}
<div class="container">
  <div id="slideshow-boxedwidth" class="slideshow-boxedwidth slider-revolution-wrapper rev_slider_wrapper {% if rows|length <= 1 %}one-slide{% endif %}">

    <div class="rev_slider" data-version="5.4.8">
      {% if title %}
        <h3>{{ title }}</h3>
      {% endif %}

      <{{ list.type }}{{ list.attributes }}>

        {% for row in rows %}
          <li{{ row.attributes }} data-transition="{{ mt_setting.rs_slideshow_boxedwidth_effect }}" data-slotamount="default" data-title="{{ row.title }}" data-masterspeed="default">{{ row.content }}</li>
        {% endfor %}

      </{{ list.type }}>
      <div class="tp-bannertimer tp-bottom"></div>
    </div>

  </div>
</div>
